INTERFACE
SUBROUTINE CATRMA (KTASK, KASELS, KOSELS, KNSELS, KNOUT,PCOVAR, PRESID, KNIV)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE QAPABL , ONLY : JPKZMA ,JPNPM2
USE QAPAVU , ONLY : JPNVY ,JPPYZ ,JPPYT ,JPPYU ,&
 & JPPYV ,JPPYDZ ,JPPYHU ,JPPYST ,JPPYU1 ,&
 & JPPYV1 ,JPPYT2 ,JPPYH2 ,JPPYSN 
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
INTEGER(KIND=JPIM),INTENT(IN) :: KASELS(JPNVY,JPKZMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KOSELS(JPNVY,JPKZMA)
INTEGER(KIND=JPIM),INTENT(IN) :: KNSELS(JPNVY)
INTEGER(KIND=JPIM),INTENT(IN) :: KNOUT
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOVAR(JPNPM2,JPNPM2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRESID(JPNPM2)
INTEGER(KIND=JPIM),INTENT(IN) :: KNIV
END SUBROUTINE CATRMA
END INTERFACE
